package com.cim.idm.wmspackage.storage.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.UserColumnMark;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class StorageSpec extends FieldAccessor implements
		DataInfo<StorageSpecKey> {

	private StorageSpecKey key;

	private String areaName;
	private String superStorageName;
//	private String storageType;
	private String storageUseType; // [Storage|Fort|Transport]
	private String storageOperationType; //[Manual|Auto] 
	private long capacity;
	private String contentType;
	private String f;
	private String s;
	private String x;
	private String y;
	private String z;
	private String description;
	private Timestamp createTime;
	private String createUser;

	private String lastEventName;
	private String lastEventTimeKey;
	private Timestamp lastEventTime;
	private String lastEventUser;
	private String lastEventComment;

//	@UserColumnMark
//	private String userColumn1;
//	@UserColumnMark
//	private String userColumn2;

	private String erpFactory;

	private String erpLocation;


	
	@Override
	public StorageSpecKey getKey() {
		return key;
	}

	@Override
	public void setKey(StorageSpecKey keyInfo) {
		this.key = keyInfo;
	}

	public String getAreaName() {
		return areaName;
	}

	public void setAreaName(String areaName) {
		this.areaName = areaName;
	}

	public String getErpFactory() {
		return erpFactory;
	}

	public void setErpFactory(String erpFactory) {
		this.erpFactory = erpFactory;
	}

	public String getErpLocation() {
		return erpLocation;
	}

	public void setErpLocation(String erpLocation) {
		this.erpLocation = erpLocation;
	}

	public String getSuperStorageName() {
		return superStorageName;
	}

	public void setSuperStorageName(String superStorageName) {
		this.superStorageName = superStorageName;
	}

	public String getStorageUseType() {
		return storageUseType;
	}

	public void setStorageUseType(String storageUseType) {
		this.storageUseType = storageUseType;
	}

	public String getStorageOperationType() {
		return storageOperationType;
	}

	public void setStorageOperationType(String storageOperationType) {
		this.storageOperationType = storageOperationType;
	}

	public long getCapacity() {
		return capacity;
	}

	public void setCapacity(long capacity) {
		this.capacity = capacity;
	}

	public String getContentType() {
		return contentType;
	}

	public void setContentType(String contentType) {
		this.contentType = contentType;
	}

	public String getF() {
		return f;
	}

	public void setF(String f) {
		this.f = f;
	}

	public String getS() {
		return s;
	}

	public void setS(String s) {
		this.s = s;
	}

	public String getX() {
		return x;
	}

	public void setX(String x) {
		this.x = x;
	}

	public String getY() {
		return y;
	}

	public void setY(String y) {
		this.y = y;
	}

	public String getZ() {
		return z;
	}

	public void setZ(String z) {
		this.z = z;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Timestamp getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Timestamp createTime) {
		this.createTime = createTime;
	}

	public String getCreateUser() {
		return createUser;
	}

	public void setCreateUser(String createUser) {
		this.createUser = createUser;
	}

	public Timestamp getLastEventTime() {
		return lastEventTime;
	}

	public void setLastEventTime(Timestamp lastEventTime) {
		this.lastEventTime = lastEventTime;
	}

	public String getLastEventUser() {
		return lastEventUser;
	}

	public void setLastEventUser(String lastEventUser) {
		this.lastEventUser = lastEventUser;
	}

	public String getLastEventName() {
		return lastEventName;
	}

	public void setLastEventName(String lastEventName) {
		this.lastEventName = lastEventName;
	}

	public String getLastEventTimeKey() {
		return lastEventTimeKey;
	}

	public void setLastEventTimeKey(String lastEventTimeKey) {
		this.lastEventTimeKey = lastEventTimeKey;
	}

	public String getLastEventComment() {
		return lastEventComment;
	}

	public void setLastEventComment(String lastEventComment) {
		this.lastEventComment = lastEventComment;
	}

	public class FIELD{
//		public String userColumn1 = "userColumn1";
//		public String userColumn2 = "userColumn2";
	}
	
}
